import { NotificationEvent } from "../types/NotificationEvent";
interface GetNotificationPayload {
    count?: number;
    type?: string;
    excludedTypes?: string[];
    projectId?: string;
}
declare class NotificationService {
    backendHost: string;
    projectId: string;
    init(config: {
        backendHost: string;
        projectId: string;
    }): void;
    getNotifications(payload?: GetNotificationPayload): Promise<{
        notifications: NotificationEvent[];
        count: number;
    }>;
    loadTypes(): Promise<any>;
    closeNotification(notificationId: number): Promise<import("axios").AxiosResponse<any>>;
    closeAllNotifications(): Promise<import("axios").AxiosResponse<any>>;
}
declare const _default: NotificationService;
export default _default;
